Get all versions of the Snaplex package

GET https://{controlplane_path}/api/1/rest/public/snaplex/version      

This API retrieves information about all versions of the Snaplex packages.

Prerequisites

  • Environment (Org) admin permissions

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com

Query parameters

None.

Request header

Basic authentication

To use basic authentication, specify Basic for authorization in the request header, add your credentials (email and password for your SnapLogic user or service account), and specify application/json for content type. For example:


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of basic authentication using Postman:

Learn more about the basic authentication header in REST API requests.

JWT authentication

When using JWT authentication, the API request includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authentication using Postman:

Request body

None.

Response

 {
  "response_map": [
    {
      "version": "...",
      "comment": "...",
      "status": "..."
    },
    ...
  ],
  "http_status_code": 200
}
Key Type Description
version string The Snaplex version.
comment string A description of the Snaplex version.
status string The status of the Snaplex version.
Possible values:
  • active
  • deprecated